Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions
proofs::Blas< Field > Class Template Reference

## Public Types
using | Elt = typename Field::Elt

## Static Public Member Functions
static Elt | dot (size_t n, const Elt x[], size_t incx, const Elt y[], size_t incy, const Field &F)
static Elt | dot1 (size_t n, const Elt x[], size_t incx, const Field &F)
static void | scale (size_t n, Elt y[], size_t incy, const Elt a, const Field &F)
static void | axpy (size_t n, Elt y[], size_t incy, const Elt a, const Elt x[], size_t incx, const Field &F)
static void | vaxpy (size_t n, Elt y[], size_t incy, const Elt a[], size_t inca, const Elt x[], size_t incx, const Field &F)
static void | vymax (size_t n, Elt y[], size_t incy, const Elt a[], size_t inca, const Elt x[], size_t incx, const Field &F)
static bool | equal (size_t n, const Elt x[], size_t incx, const Elt y[], size_t incy, const Field &F)
static bool | equal0 (size_t n, const Elt x[], size_t incx, const Field &F)
static void | copy (size_t n, Elt dst[], size_t incd, const Elt src[], size_t incs)
static void | gather (size_t n, Elt dst[], const Elt src[], const size_t idx[])
static void | clear (size_t n, Elt dst[], size_t incd, const Field &F)

The documentation for this class was generated from the following file:

- lib/algebra/blas.h